import * as tailwindcss_types_config from 'tailwindcss/types/config';
import { Config, OptionalConfig } from 'tailwindcss/types/config';
import typography from '@tailwindcss/typography';

type TailwindConfig = {
    content: string[];
} & OptionalConfig;
declare const twPlugin: {
    content: string[];
    safelist: string[];
    plugins: (typeof typography | {
        handler: tailwindcss_types_config.PluginCreator;
        config?: Partial<Config> | undefined;
    })[];
    merge: (config: TailwindConfig) => Config;
};

export { twPlugin };
